using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace CoverageFramework.Operator.Selector.Python3
{
	[Export(typeof(IXElementSelector))]
	public class SimpleStatementSelector : IXElementSelector
	{
		public IEnumerable<XElement> Select(XElement root)
		{
			return root
				.Descendants()
				.Where(e => e.Name.LocalName == "small_stmt");
		}
	}
}
